For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Pager Config

This endpoint retrieves your community's Inferno Pager configuration for a specific server.

Get Pager Config

POST https://api.sonorancad.com/emergency/GET_PAGER_CONFIG

This endpoint retrieves the Inferno Pager configuration for a specific server in your community.

Request Body

Name
Type
Description

id*

string

Your community's ID

key*

string

Your community's API Key

type*

string

GET_PAGER_CONFIG

data*

array

Array of request objects

{
    "natureWords": {
        "Emergency": "Emergency",
        "NonEmergency": "Non-Emergency",
        "Administrative": "Administrative"
    },
    "maxAddresses": 5,
    "maxBodyLength": 250,
    "nodes": [
        {
            "id": "root-1",
            "name": "Fire",
            "description": "Fire services",
            "permission": "fire",
            "address": "FIRE-01",
            "shortCode": "F1",
            "kind": "group",
            "children": [
                {
                    "id": "station-1",
                    "name": "Station 1",
                    "description": "",
                    "permission": "fire.station1",
                    "address": "FIRE-ST01",
                    "shortCode": "ST1",
                    "kind": "node",
                    "children": []
                }
            ]
        }
    ]
}

The returned configuration is always for the requested serverId.

Last updated

Was this helpful?